name: wyatt_package_template
description: New package template for Wyatt Studio projects.

version: 0.1.0

vars:
  package_name:
    compilable: package_name
    type: string
    description: The package name
    default: package_name
    prompt: "What is the package name?"
    formats:
      - snake_case
      - title_case
      - pascal_case

  description:
    compilable: A short package description
    type: string
    description: A short package description
    default: A package by Wyatt Studio.
    prompt: "What is the package description?"
    formats:
      - sentence_case
  
  flutter:
    type: boolean
    description: Should generate a plugin (Flutter only) or a package (Dart and Flutter).
    default: false
    prompt: "Should generate Flutter only plugin ?"

brickgen:
  path_to_brickify: wyatt_package_template
  hooks: true
  ignore:
    - .env
    - .dart_tool/
    - .idea/
    - example/.dart_tool/
    - example/.idea/
  boolean_file_system:
    flutter:
      folders:
        on_true:
          - example/web
        on_false:
          - example/bin
